package com.srs.comprehensive.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 宿舍信息对象 srs_dormitory
 * 
 * @author srs
 * @date 2023-06-27
 */
public class SrsDormitory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 单元ID */
    @Excel(name = "单元ID")
    private Long unitId;

    /** 楼层号 */
    @Excel(name = "楼层号")
    private Long floorNo;

    /** 房间号 */
    @Excel(name = "房间号")
    private Long roomNo;

    /** 床位数 */
    @Excel(name = "床位数")
    private Long bedNum;

    /** 入住人数 */
    @Excel(name = "入住人数")
    private Long occupancy;
    @TableField(exist = false)
    private String buildingNo;

    /** 状态(0：未入住；1：已入住；2：维修中) */
    @Excel(name = "状态(0：未入住；1：已入住；2：维修中)")
    private Long status;

    /** 删除标志（0代表存在 */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setFloorNo(Long floorNo) 
    {
        this.floorNo = floorNo;
    }

    public Long getFloorNo() 
    {
        return floorNo;
    }
    public void setRoomNo(Long roomNo) 
    {
        this.roomNo = roomNo;
    }

    public Long getRoomNo() 
    {
        return roomNo;
    }
    public void setBedNum(Long bedNum) 
    {
        this.bedNum = bedNum;
    }

    public Long getBedNum() 
    {
        return bedNum;
    }
    public void setOccupancy(Long occupancy) 
    {
        this.occupancy = occupancy;
    }

    public Long getOccupancy() 
    {
        return occupancy;
    }
    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public Long getUnitId() {
        return unitId;
    }

    public void setUnitId(Long unitId) {
        this.unitId = unitId;
    }

    public String getBuildingNo() {
        return buildingNo;
    }

    public void setBuildingNo(String buildingNo) {
        this.buildingNo = buildingNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("unitId",getUnitId())
            .append("floorNo", getFloorNo())
            .append("roomNo", getRoomNo())
            .append("bedNum", getBedNum())
            .append("occupancy", getOccupancy())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
